cancel
Showing results for 
Search instead for 
Did you mean: 

Norton Safe Web Lite Toolbar & Firefox 19.0

Norton Safe Web Lite Toolbar

is not compatible with Firefox 19.0

Why ? And when will this issue be resolved ?

 

.

1 Reply

You will want to call support

You will want to call support to get this answer.

You can also post on the Norton forum:

http://community.norton.com/